%global debug_package %{nil}

Name:           cronopete
Version:        4.15.1
Release:        %autorelease
License:        GPL-3.0-or-later
Summary:        A backup utility for Linux.

Source0:        https://gitlab.com/rastersoft/%{name}/-/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cairo-devel
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  gdk-pixbuf2-devel
BuildRequires:  gettext
BuildRequires:  glib2-devel
BuildRequires:  glibc-headers
BuildRequires:  gtk-update-icon-cache
BuildRequires:  gtk3-devel
BuildRequires:  intltool
BuildRequires:  libappindicator-gtk3-devel
BuildRequires:  libgee-devel
BuildRequires:  libnotify-devel
BuildRequires:  libudisks2-devel
BuildRequires:  make
BuildRequires:  pango-devel
BuildRequires:  pkgconf-pkg-config
BuildRequires:  rsync
BuildRequires:  vala

Requires:       atk
Requires:       cairo-gobject
Requires:       gdk-pixbuf2
Requires:       glib2
Requires:       glibc-devel
Requires:       gtk3
Requires:       libappindicator-gtk3
Requires:       libdbusmenu
Requires:       libgee
Requires:       libnotify
Requires:       libudisks2
Requires:       pango
Requires:       rsync

%description
Cronopete is a backup utility for Linux, modeled after Apple's Time
Machine. It aims to simplify the creation of periodic backups.


%prep
%autosetup -n %{name}-%{version}

%build
%cmake -B build -DCMAKE_EXE_LINKER_FLAGS="%{optflags} -fPIE" -DGSETTINGS_COMPILE=OFF -DICON_UPDATE=OFF -DUSE_APPINDICATOR=ON
pushd build
%make_build
popd

%install
pushd build
%make_install
popd

%post
glib-compile-schemas %{_datadir}/glib-2.0/schemas

%postun
glib-compile-schemas %{_datadir}/glib-2.0/schemas

%files
%{_bindir}/%{name}*
%{_sysconfdir}/xdg/autostart/%{name}.desktop
%{_datadir}/applications/%{name}_*
%{_datadir}/%{name}
%{_datadir}/locale/*/LC_MESSAGES/cronopete.mo
%{_datadir}/glib-2.0/schemas/org.rastersoft.%{name}.gschema.xml
%{_datadir}/doc/%{name}
%{_datadir}/dbus-1/services/com.rastersoft.%{name}.service
%{_datadir}/icons/hicolor/*/apps/ana%{name}_*.png
%{_datadir}/icons/hicolor/scalable/*/%{name}*
%{_prefix}/lib/plugs/%{name}

%changelog
%autochangelog
